Subject: Re: [PATCH 2/2] Cell OProfile: SPU mutex lock fix, version 4

From: Arnd Bergmann <[email-masked]>
Date: Fri, 8 Aug 2008 15:26:20 +0200

On Friday 01 August 2008, Carl Love wrote:
> If an error occurs on opcontrol start, the event and per cpu buffers=20
> are released. =A0If later opcontrol shutdown is called then the free
> function will be called again to free buffers that no longer=20
> exist. =A0This results in a kernel oops. =A0The following changes
> prevent the call to delete buffers that don't exist.
>=20
> Signed-off-by: Carl Love <[email-masked]>
>=20

vfree(NULL) is defined to be legal, so you don't need to check the
argument for being non-NULL, just set it to NULL after the free.

	Arnd <><